package cn.com.qmth.examcloud.core.oe.student.service;

import java.util.List;

import cn.com.qmth.examcloud.core.oe.student.base.bean.ExamQuestion;
import cn.com.qmth.examcloud.core.oe.student.base.bean.ExamRecordQuestions;
import cn.com.qmth.examcloud.core.oe.student.bean.ExamStudentQuestionInfo;
import cn.com.qmth.examcloud.question.commons.core.paper.DefaultPaper;

/**
 * @author chenken
 *
 */
public interface ExamRecordQuestionsService {

    /**
     * 保存
     * @param timeout   秒
     */
    public void saveExamQuestion(Long examRecordDataId,Integer order,ExamQuestion questions);

    /**
     * 获取
     * @param examRecordDataId
     * @return
     */
    public ExamQuestion getExamQuestion(Long examRecordDataId,Integer order);

    /**
     * 删除
     * @param examRecordDataId
     */
    public void deleteExamQuestion(Long examRecordDataId,Integer order);

    public ExamRecordQuestions createExamRecordQuestions(Long examRecordDataId, DefaultPaper defaultPaper);
    
    public ExamRecordQuestions getExamRecordQuestions(Long examRecordDataId);

    public String getQuestionContent(Long studentId, String questionId);

    public void submitQuestionAnswer(Long studentId, List<ExamStudentQuestionInfo> examQuestionInfos);
}
